<?php
/**
* @version 2.0.0
* @package RSTickets! Pro 2.0.0
* @copyright (C) 2010 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class plgRsticketsproRsmembership extends JPlugin
{
	protected $autoloadLanguage = true;
	
	protected function canRun()
	{
		$helper1 = JPATH_ADMINISTRATOR.'/components/com_rsmembership/helpers/rsmembership.php';
		$helper2 = JPATH_ADMINISTRATOR.'/components/com_rsticketspro/helpers/rsticketspro.php';

		if (file_exists($helper1) && file_exists($helper2) ) {
			require_once $helper1;
			require_once $helper2;
			return true;
		}

		return false;
	}
	
	public function onRsticketsproAfterTicketInformation($ticket, $typeContent = null)
	{
		if (!$this->canRun() || is_null($typeContent) || !RSTicketsProHelper::isStaff() || !$ticket->customer_id) {
			return;
		}

		$content 	= array();
		$db 	    = JFactory::getDbo();
		$query 	    = $db->getQuery(true);
		
		$query  ->select($db->qn('ms.id'))
				->select($db->qn('ms.user_id'))
				->select($db->qn('m.name'))
				->select($db->qn('ms.status'))
				->select($db->qn('ms.notified'))
				->select($db->qn('ms.membership_start'))
				->select($db->qn('ms.membership_end'))
				->select($db->qn('ms.published'))
				->select($db->qn('ms.membership_id'))
				->from($db->qn('#__rsmembership_membership_subscribers', 'ms'))
				->join('left', $db->qn('#__rsmembership_memberships', 'm').' ON '.$db->qn('ms.membership_id').' = '.$db->qn('m.id'))
				->where($db->qn('ms.user_id').' = '.$db->q($ticket->customer_id))
				->order($db->qn('ms.published').' '.$db->escape('desc'))
				->order($db->qn('ms.status').' '.$db->escape('asc'))
				->order($db->qn('ms.membership_start').' '.$db->escape('desc'));

		if ($memberships = $db->setQuery($query)->loadObjectList())
		{
			// Load language
			JFactory::getLanguage()->load('com_rsmembership', JPATH_ADMINISTRATOR);
			
			// Add some styling
			JFactory::getDocument()->addStyleDeclaration('
			/* unpublished */
			.com-rsmembership-unpublished { color: red; text-decoration: line-through; }
			
			/* active */
			.com-rsmembership-status-0 {}
			
			/* pending */
			.com-rsmembership-status-1 {}
			
			/* expired */
			.com-rsmembership-status-2 { color: red; }
			
			/* cancelled */
			.com-rsmembership-status-3 { color: red; }
			');

			$userField 	= RSTicketsProHelper::getConfig('show_user_info');
			
			// Add the edit user link
			$content[] = '<p><a href="'.JUri::root(true).'/administrator/index.php?option=com_rsmembership&amp;task=subscriber.edit&amp;user_id='.$ticket->customer_id.'" target="_blank">'.$ticket->customer->{$userField}.'</a></p>';
			
			// Add the memberships
			foreach ($memberships as $membership)
			{
				if ($membership->published)
				{
					$status = JText::_('COM_RSMEMBERSHIP_STATUS_'.$membership->status);

					if ($membership->status == MEMBERSHIP_STATUS_EXPIRED)
					{
						$end = ($membership->membership_end == '0000-00-00 00:00:00' ? JText::_('COM_RSMEMBERSHIP_UNLIMITED') : RSMembershipHelper::showDate($membership->membership_end));
						// Add the expiration date
						$status = "$status ($end)";
					}
				}
				else
				{
					$status = JText::_('JUNPUBLISHED');
				}

				$content[] = '<p class="com-rsmembership-status-'.$membership->status.' com-rsmembership-'.($membership->published ? 'published' : 'unpublished').'">'.JText::sprintf('PLG_RSTICKETSPRO_RSMEMBERSHIP_MEMBERSHIPS_DETAILS', $membership->name, $status).'<p>';
			}
		}
		else
		{
			$content[] = '<p>' . JText::_('PLG_RSTICKETSPRO_RSMEMBERSHIP_NO_MEMBERSHIPS') . '</p>';
		}
		
		$typeContent->addTitle(JText::_('PLG_RSTICKETSPRO_RSMEMBERSHIP_MEMBERSHIPS'), 'memberships');
		$typeContent->addContent(implode("\r\n", $content));
	}
}